[Providers]
00000000=Damaged SL!
00101000=Default Test Operator
20201000=Cosmote;Greece
20205000=Vodafone / Panafon;Greece
20209000=Q-Telecom;Greece
20210000=Telestet / TIM;Greece
20404000=Vodafone / Libertel;Netherlands
20408000=KPN Telecom;Netherlands
20412000=Telfort / O2;Netherlands
20416000=T Mobile - Ben ;Netherlands
20420000=Dutchtone / Orange;Netherlands
20601000=Belgacom Mobile Proximus;Belgium
20610000=Mobistar;Belgium
20620000=KPN Orange Belgium SA;Belgium
20801000=Orange + France Telecom Itineris;France
20810000=SFR;France
20820000=Bouygues Telecom ;France
21303000=S.T.A. MobilAnd;Andorra
21401000=Vodafone / Airtel Movil;Spain
21402000=Movistar (6100);Spain
21403000=Retevision Movil Amena;Spain
21407000=Movistar (DCT3);Spain
21407000=Movistar (DCT4);Spain
2140B000=Movistar (DCT3 Old Contract?);Spain
21412000=Movistar (DCT3 ??);Spain
21601000=Pannon GSM;Hungary
21630000=Westel 900 GSM Mobile;Hungary
21670000=Vodafone Hungary;Hungary
21801000=Cronet;Bosnia Herzegovina
21819000=PTT Bosnia;Bosnia Herzegovina
21890000=PE PTT BIH;Bosnia Herzegovina
21901000=Croatian Telecoms Cronet;Croatia
21910000=Croatia VIPNET;Croatia
22001000=MOBTEL;Yugoslavia
22002000=ProMonte GSM;Yugoslavia
22201000=Telecom Italia Mobile TIM;Italy
22210000=Omnitel Pronto;Italy
22288000=Wind Telecomunicazioni;Italy
22298000=Telefonia mobile Italy;Italy
22601000=MobiFon CONNEX GSM;Romania
22603000=Cosmorom ;Romania
22610000=Mobil Rom DIALOG;Romania
22801000=Swisscom NATEL;Switzerland
22802000=diAx Mobile;Switzerland
22803000=Orange;Switzerland
23001000=T-Mobile CZ (Pegas);Czech Republic
23002000=EuroTel Praha;Czech Republic
23003000=SPT Telecom (OSKAR);Czech Republic
23101000=Globtel GSM;Slovak Republic
23102000=EuroTel GSM;Slovak Republic
23201000=Mobilkom Austria ;Austria
23203000=T-Mobile ;Austria
23205000=One Connect;Austria
23207000=Telering ;Austria
23208000=Telefonica Austria;Austria
23209000=Tele2;Austria
23210000=3 AT;Austria
23400000=Virgin (some 3510i);United Kingdom
23400001=Virgin - SPECIAL CODE;United Kingdom
23400003=Tesco Mobile (3510i);United Kingdom
23410000=02 - Cellnet;United Kingdom
23410000=Tesco Mobile;United Kingdom
23415000=Vodafone;United Kingdom
23420000=Hutchinson 3G (3);United Kingdom
23430000=T-Mobile-One 2 One;United Kingdom
23430000=Virgin;United Kingdom
23433000=Orange;United Kingdom
23450000=Jersey Telecom GSM;United Kingdom
23455000=Guernsey Telecoms GSM;United Kingdom
23458000=Manx Telecom Pronto GSM;United Kingdom
23800000=Debitel Denmark;Denmark
23800001=Debitel 3510i-SPECIAL CODE;Denmark
23801000=Debitel DCT3;Denmark
23801000=TDC Mobil;Denmark
23802000=Sonofon;Denmark
23820000=Telia;Denmark
23830000=Orange;Denmark
24000001=Telia Mobitel (3510i);Sweden
24001000=Telia Mobitel;Sweden
24002000=Tre ;Sweden
24003000=Orange ;Sweden
24007000=Comviq GSM;Sweden
24008000=Vodafone ;Sweden
24201000=AC;Norway
24201000=BS Mobil;Norway
24201000=Chess;Norway
24201000=Lyse Energi;Norway
24201000=Tele2;Norway
24201000=Telenor Mobil;Norway
24201000=hello;Norway
24202000=Chess;Norway
24202000=Combitel Networks AS;Norway
24202000=NetCom GSM;Norway
24202000=PGOne;Norway
24202000=Sense;Norway
24202000=Symfonika AS;Norway
24203000=Teletopia;Norway
24403000=Telia Finland;Finland
24405000=Alands Mobiltelefon;Finland
24405000=Radiolinja;Finland
24407000=AT&T;U.S.A. (3650)
24409000=Finnet Group;Finland
24491000=Sonera Corporation;Finland
24601000=Omnitel;Lithuania
24602000=UAB Bite GSM;Lithuania
24603000=Lithuania LT TELE2 ;Lithuania
24604000=Lithuanian X-GSM Tele2;Lithuania
24701000=Latvian Mobile Tel.;Latvia
24702000=BALTCOM GSM;Latvia
24801000=Estonian Mobile Telephone;Estonia
24802000=Radiolinja Eesti;Estonia
24803000=Q GSM;Estonia
25001000=MTS Moscow;Russia
25002000=North-West GSM;Russia
25005000=Siberian Cellular;Russia
25007000=Zao Smarts;Russia
25010000=Don Telecom;Russia
25012000=New Telephone Company;Russia
25013000=Kuban GSM;Russia
25038000=Russia Wireless Technology;Russia
25039000=Uratel;Russia
25044000=North Caucasian GSM;Russia
25099000=KB Impuls BeeLine;Russia
25501000=Ukrainian Mobile Comms;Ukraine
25502000=Ukrainian Radio Systems;Ukraine
25503000=Kyivstar GSM;Ukraine
25505000=Golden Telecom;Ukraine
25701000=VELCOM Belarus;Belarus
25901000=Voxtel;Moldova
26001000=Polkomtel PLUS GSM;Poland
26002000=ERA GSM ;Poland
26003000=IDEA Centertel;Poland
26201000=DeTeMobile D1 T-Mobile;Germany
26202000=Vodafone D2 (DCT3 3210);Germany
26202000=Vodafone D2 (DCT3 3310);Germany
26202000=Vodafone D2 (DCT4);Germany
26203000=E-Plus Gmbh&Co KG E-Plus (GSM1800);Germany
26207000=O2 Deutschland (DCT3 Contract);Germany
26207000=O2 Deutschland (DCT3 Prepaid);Germany
26207000=O2 Deutschland (DCT4);Germany
26601000=Gibraltar Telecoms Gibtel;Gibraltar
26801000=Vodafone / Yorn;Portugal
26803000=Optimus;Portugal
26806000=TMN;Portugal
27001000=P+T LUXGSM;Luxembourg
27077000=Millicom Tango GSM;Luxembourg
27201000=Vodafone - Eircell;Ireland
27202000=02 - Esat Digifone-code 7;Ireland
27203000=Meteor;Ireland
27205000=3-SIM;Europe
27401000=Iceland Telecom Siminn;Iceland
27402000=TAL hf;Iceland
27601000=Albanian Mobile Comms;Albania
27602000=Vodafone;Albania
27801000=Vodafone;Malta
28001000=Cyprus Telecoms Authority;Cyprus
28201000=Geocell Limited;Georgia
28202000=Magti GSM;Georgia
28301000=ArmenTel;Armenia
28304000=Karabakh Telecom;Armenia
28401000=MobilTel AD;Bulgaria
28405000=globul;Bulgaria
28601000=Turk Telekom Turkcell;Turkey
28602000=TELSIM Mobil Telekom.;Turkey
29001000=Tele Greenland;Greenland
29340000=Si.mobil;Slovenia
29341000=Mobitel;Slovenia
29401000=Macedonian Tel. MobiMak ;Macedonia
30200001=Fido-SPECIAL CODE;Canada
30237000=Microcell Connexions Inc;Canada
30272000=Rogers AT&T Wireless;Canada
31001000=Pacific Mobile Comms;Papua New Guinea
31017000=CINGULAR - Pacific Bell Wireless;U.S.A.
31020000=T-Mobile;U.S.A.
31027000=Powertel;U.S.A.
31038000=AT&T(Other DCT4);U.S.A.
31042000=Cincinnati Bell Wireless;U.S.A.
31077000=Iowa Wireless Services;U.S.A.
33402000=TELCEL;Mexico
33402015=NEW TELCEL;Mexico
33403000=MOVISTAR GSM - Pegaso GSM;Mexico
33805000=Mossel (Digicel);Jamaica
33818000=Cable & Wireless ;Jamaica
34001000=France Caraibe Ameris;French West Indies
34260000=Cable & Wireless;Barbados
34403000=APUA PCS;Antigua & Barbuda
34614000=Cable & Wireless;Camyan Islands
35002000=BTC MOBILITY;Bermuda
36011000=Cable & Wireless Caribbean Cellular;St. Vincent & the Grenadines
36301000=SETAR;Aruba
36439000=Bahamas Telcom Co;Bahamas
37001000=Orange;Dominican Republic
40001000=Azercell Telekom B.M.;Azerbaijan
40002000=J.V.Bakcell GSM 2000;Azerbaijan
40101000=Kazakhstan K-Mobile;Kazakhstan
40102000=Kazakhstan K-Cell;Kazakhstan
40211000=BpMobile;Bhutan
40407000=TATA Cellular;India
40410000=Bharti Cellular Telecom Airtel;India
40411000=Sterling Cellular Essar;India
40412000=Escotel Mobile Comms;India
40414000=Modi Telstra Modicom;India
40415000=Aircel Digilink Essar Cellph.;India
40420000=Hutchison Max Touch;India
40430000=Usha Martin Tel. Command;India
40431000=Mobilenet;India
40440000=SkyCell Communications;India
40441000=RPG MAA;India
40442000=Srinivas Cellcom;India
40443000=Mobile BPL MOBILE;India
40446000=USWest BPL MOBILE;India
41001000=Mobilink;Pakistan
41201000=Telephone Systems Int Inc;Afghanistan
41220000=Telephone Development Co;Afghanistan
41302000=MTN Networks Dialog GSM;Sri Lanka
41501000=FTML Cellis;Lebanon
41503000=LibanCell;Lebanon
41601000=J.M.T.S Fastlink;Jordan
41709000=Syrian Telecom Est. MOBILE;Syria
41902000=Mobile Telecoms MTCNet;Kuwait
42001000=Ministry of PTT Al Jawal;Saudi Arabia
42007000=Electronics App' Est. EAE;Saudi Arabia
42202000=General Telecoms;Oman
42401000=UAE ETISALAT-G1;United Arab Emirates
42402000=UAE ETISALAT-G2;United Arab Emirates
42501000=Orange - Partner Communications;Israel
42502000=Celcomm;Israel
42601000=Batelco;Bahrain
42701000=Q-Tel QATARNET;Qatar
43211000=TCI;Iran
43401000=Buztel;Uzbekistan
43404000=Daewoo Unitel;Uzbekistan
43405000=Coscom;Uzbekistan
43701000=Bitel;Kyrgyz Republic
43801000=Turkmenistan BCTI;Turkmenistan
44020000=J-phone / Vodaphone Japan ;Japan
45201000=MTSC;Vietnam
45202000=DGPT;Vietnam
45400000=Hong Kong Telecom CSL;Hong Kong
45404000=Hutchison Telecom;Hong Kong
45406000=SmarTone Mobile Comms;Hong Kong
45410000=New World PCS;Hong Kong
45412000=Peoples Telephone;Hong Kong
45416000=Mandarin Com. Sunday;Hong Kong
45418000=Pacific Link;Hong Kong
45422000=P Plus Comm;Hong Kong
45501000=C.T.M. TELEMOVEL+;Macau
45601000=CamGSM;Cambodia
45602000=Cambodia Samart Comms;Cambodia
45701000=Lao Shinawatra Telecom;Lao
46000000=China Telecom GSM;China
46001000=China Unicom GSM;China
46002000=Liaoning PPTA;China
46601000=Far EasTone Telecoms;Taiwan
46606000=TUNTEX Telecom;Taiwan
46688000=KG Telecom;Taiwan
46692000=Chunghwa Telecom;Taiwan
46693000=Mobitai Communications;Taiwan
46697000=Pacific Cellular TWNGSM;Taiwan
46699000=TransAsia Telecoms;Taiwan
47001000=Grameen Phone;Bangladesh
47002000=TM Int'l AKTEL;Bangladesh
47019000=Sheba Telecom;Bangladesh
50201000=My Digi;Malaysia
50202000=My BSB;Malaysia
50203000=Binariang;Malaysia
50212000=Binariang Comms. Maxis;Malaysia
50213000=Telekom Cellular TM Touch;Malaysia
50216000=DiGi Telecommunications;Malaysia
50217000=Time Wireless Adam;Malaysia
50219000=Celcom;Malaysia
50500000=Globalstar;Australia
50501000=Telstra Mobile Comms;Australia
50502000=Singtel Optus-Cable + Wireless Optus;Australia
50503000=Vodafone;Australia
50506000=Hutchinson 3G;Australia
50508000=Australia One-Tel;Australia
51001000=PT. Satelindo;Indonesia
51010000=Telkomsel;Indonesia
51011000=PT. Excelcomindo Excelcom;Indonesia
51501000=Isla Comms;Philippines
51502000=Globe Telecom;Philippines
51503000=Smart Communications;Philippines
51505000=Sun Cellular ;Philippines
52001000=Advanced Info Service AIS;Thailand
52010000=WCS IQ;Thailand
52018000=Total Access Worldphone;Thailand
52023000=Digital Phone HELLO;Thailand
52501000=Singapore Tel. GSM 900;Singapore
52502000=Singapore Tel. GSM 1800;Singapore
52503000=MobileOne Asia;Singapore
52801000=Jabatan Telekom;Brunei Darussalam
52811000=DST Communications;Brunei Darussalam
53001000=Vodafone;New Zealand
53003000=Telecom NZ;New Zealand
53004000=Telstra;New Zealand
54201000=Vodafone Fiji;Fiji
54411000=Blue Sky;American Samoa
54601000=OPT Mobilis;New Caledonia
54720000=Tikiphone;French Polynesia
60201000=MobiNil;Egypt
60202000=Misrfone Telecom. Click;Egypt
60301000=Algerian Mobile Network;Algeria
60302000=Orascom Telecom Algerie Spa;Algeria
60401000=Itissalat Al-Maghrib IAM;Morocco
60502000=Tunisie Telecom Tunicell;Tunisia
60801000=Sonatel ALIZE;Senegal
61001000=Malitel ;Mali
61102000=Sotelgui Lagui;Guinea
61201000=Comstar Cellular Network;Ivory Coast / Cote d'Ivoire
61202000=Telecel;Ivory Coast / Cote d'Ivoire
61203000=S.I.M Ivoiris;Ivory Coast / Cote d'Ivoire
61205000=Loteny Telecom Telecel;Ivory Coast / Cote d'Ivoire
61501000=Togo Telecom TOGO CELL;Togo
61600400=BBCOM;Benin
61601000=LIBERCOM;Benin
61602000=TELECEL BENIN;Benin
61603000=BeninCell;Benin
61701000=Cellplus Mobile Comms;Mauritius
61801000=Omega Communications;Liberia
62001000=ScanCom;Ghana
62401000=PTT Cameroon Cellnet;Cameroon
62501000=Cabo Verde Telecom;Cape Verde
63102000=Unitel;Angola
63301000=Seychelles Cellular Services;Seychelles
63310000=Telecom AIRTEL;Seychelles
63401000=Mobile Telephone Company;Sudan
63401000=Telecom de Mocambique;Mozambique
63510000=Rwandacell;Rwanda
63601000=Ethiopian Telecoms Auth.;Ethiopia
64001000=Tritel;Tanzania
64101000=Celtel Cellular;Uganda
64110000=MTN Uganda;Uganda
64501000=Zamcell;Zambia
64601000=Madacom;Madagascar
64602000=SMM Antaris;Madagascar
64603000=Sacel;Madagascar
64710000=Societe Reunionnaise SRR;Reunion
64801000=NET*ONE;Zimbabwe
64803000=Telecel;Zimbabwe
64901000=MTC;Namibia
65001000=Telekom Network Callpoint;Malawi
65101000=Vodacom;Lesotho
65201000=Mascom Wireless;Botswana
65202000=Vista Cellular;Botswana
65501000=Vodacom;South Africa
65510000=MTN;South Africa
70267000=Belize Telecom;Belize
70268000=Int Telecom INTELCO;Belize
70402000=COMCEL;Guatemala
71073000=SERCOM;Nicaragua
72202000=Nextel;Argentina
72204000=Globalstar;Argentina
72207000=UNIFON;Argentina
72231000=CTI Movil;Argentina
72234000=Telecom Personal SA;Argentina
72235000=Hutchison-PORT HABLE;Argentina
72402000=Tim;Brazil
72403000=Tim NEW 1;Brazil
72404000=Tim NEW 2;Brazil
72405000=Claro;Brazil
72415000=Sercomtel;Brazil
72416000=BrtCell;Brazil
72431000=Oi;Brazil
73001000=Entel Telefonia Movil;Chile
73010000=Entel PCS Telecom.;Chile
73210100=Occidente y Caribe Celular SA Occel SA-SPECIAL CODE;Columbia
73210300=Movil SA-SPECIAL CODE;Columbia
73401000=Infonet;Venezuela
73601000=Nuevatel PCS;Bolivia
73602000=Entel SA;Bolivia
